package com.fs.course.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.course.domain.FsBlackTalent;
import com.fs.course.param.FsBlackTalentAuditParam;
import com.fs.course.vo.FsBlackTalentPVO;

import java.util.List;

/**
 * 达人或视频举报拉黑功能Service接口
 * 
 * @author fs
 * @date 2025-08-17
 */
public interface IFsBlackTalentService extends IService<FsBlackTalent>{
    /**
     * 查询达人或视频举报拉黑功能
     * 
     * @param id 达人或视频举报拉黑功能主键
     * @return 达人或视频举报拉黑功能
     */
    FsBlackTalent selectFsBlackTalentById(Long id);

    /**
     * 查询达人或视频举报拉黑功能列表
     * 
     * @param fsBlackTalent 达人或视频举报拉黑功能
     * @return 达人或视频举报拉黑功能集合
     */
    List<FsBlackTalentPVO> selectFsBlackTalentList(FsBlackTalent fsBlackTalent);

    /**
     * 新增达人或视频举报拉黑功能
     * 
     * @param fsBlackTalent 达人或视频举报拉黑功能
     * @return 结果
     */
    int insertFsBlackTalent(FsBlackTalent fsBlackTalent);

    /**
     * 修改达人或视频举报拉黑功能
     * 
     * @param fsBlackTalent 达人或视频举报拉黑功能
     * @return 结果
     */
    int updateFsBlackTalent(FsBlackTalent fsBlackTalent);

    /**
     * 批量删除达人或视频举报拉黑功能
     * 
     * @param ids 需要删除的达人或视频举报拉黑功能主键集合
     * @return 结果
     */
    int deleteFsBlackTalentByIds(Long[] ids);

    /**
     * 删除达人或视频举报拉黑功能信息
     * 
     * @param id 达人或视频举报拉黑功能主键
     * @return 结果
     */
    int deleteFsBlackTalentById(Long id);

    int addBlack(FsBlackTalent blackTalent);

    int deleteFsBlackVideo(String userId,String videoId);

    int deleteFsBlackTalent(String userId,String talentId);

    int audit(FsBlackTalentAuditParam fsBlackTalentAuditParam);

    List<FsBlackTalent> selectBlackAndReportVideoIdsByUserId(Long userId);

    int selectBlackTalent(Long talentId,Long loginUserId);

}
